local NAME = minetest.get_current_modname()

local _timer = function(pos, elapsed)
	minetest.set_timeofday((7.5 * 60) / 1440)
	minetest.get_node_timer(pos):start(0.9)
end

minetest.register_node(NAME .. ":time", {
  description = "The world",
  tiles = {
    NAME .. "_world.png",
  },
	on_timer = _timer,
	on_construct = _timer,
	light_source = minetest.LIGHT_MAX
})